<?php

/*
 * get Json from currency converter
 */

$amount = floatval( trim( $_POST['amount'] ) );
$from = strtoupper( strip_tags( trim( $_POST['from'] ) ) );
$to = strtoupper( strip_tags( trim( $_POST['to'] ) ) );

//finance.yahoo.com/d/quotes.csv?s=EURUSD=X&f=sl1d1t1
//s       =       the Symbol (lookup value) queried.
//l1      =       the last exchange value
//d1      =       the last exchange date
//t1       =       the last exchange time

$q_url ="http://finance.yahoo.com/d/quotes.csv?s=$from$to=X&f=l1d1t1"; 
$opts = array(
    'http'=>array(
    'method'=>'GET',
    'timeout'=>14 
    )
);
$context = stream_context_create($opts);
$contents = file_get_contents($q_url,false,$context);
$getJson_arrs = explode(',', $contents );

$returns = array();
if( !empty( $getJson_arrs[0] ) ){
    $c_val = sprintf("%01.2f", floatval( $getJson_arrs[0] )*$amount );
    $c_date_d = str_replace('"', '', $getJson_arrs[1] );
    $c_date_t = str_replace('"', '', $getJson_arrs[2] );
    
    $return = array(
        'error' => 0,
        'status'=>'OK',
        'c_val'=>$c_val,
        'c_date_d'=>$c_date_d
       );
}else{
    $return = array(
        'error' => 1,
        'status'=>'System Error',
        'c_val'=>'',
        'c_date_d'=>''
       );
}
die(json_encode($return));

?>
